View Issue Details

IDProjectCategoryView StatusLast Update
0002827SymmetricDS ProBugpublic2016-10-06 20:03
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.6Fixed in Version3.8.6 
Summary0002827: User gets NPE on dashboard for unregistered node
DescriptionAfter going through wizard for a remote node setup, the user will get the license key screen. If they enter the key, they will get to dashboard, which gets the NPE below. Should the UI let them enter the key and go to the dashboard, or should it wait until registration which also gets the key?

java.lang.NullPointerException
    at com.jumpmind.symmetric.console.ui.graph.ChannelStatsGraph.d(ChannelStatsGraph.java:150)
    at com.jumpmind.symmetric.console.ui.graph.ChannelStatsGraph.a(ChannelStatsGraph.java:209)
    at com.jumpmind.symmetric.console.ui.graph.ChannelStatsGraph.c(ChannelStatsGraph.java:340)
    at com.jumpmind.symmetric.console.ui.graph.ChannelStatsGraph.refresh(ChannelStatsGraph.java:336)
    at com.jumpmind.symmetric.console.ui.screen.a.d.a(GraphPanel.java:123)
    at com.jumpmind.symmetric.console.ui.screen.c.onRefresh(DashboardScreen.java:95)
    at com.jumpmind.symmetric.console.ui.b$3.run(MainWindow.java:395)
    at com.jumpmind.symmetric.console.ui.b.goToView(MainWindow.java:410)
    at com.jumpmind.symmetric.console.ui.b.initializeTabs(MainWindow.java:490)
    at com.jumpmind.symmetric.console.ui.b.a(MainWindow.java:363)
    at com.jumpmind.symmetric.console.ui.b.a(MainWindow.java:244)
    at com.jumpmind.symmetric.console.ui.b$1$1.run(MainWindow.java:196)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at com.vaadin.server.VaadinService.runPendingAccessTasks(VaadinService.java:1835)
    at com.vaadin.server.VaadinSession.unlock(VaadinSession.java:990)
    at com.vaadin.server.VaadinService.ensureAccessQueuePurged(VaadinService.java:1799)
    at com.vaadin.server.VaadinService.accessSession(VaadinService.java:1765)
    at com.vaadin.server.VaadinSession.access(VaadinSession.java:1380)
    at com.jumpmind.symmetric.console.ui.b$1.run(MainWindow.java:193)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-09-23 20:11 elong New Issue
2016-09-23 20:11 elong Status new => assigned
2016-09-23 20:11 elong Assigned To => elong
2016-09-29 20:32 elong Target Version 3.8.5 => 3.8.6
2016-09-29 21:01 admin Status assigned => closed
2016-09-29 21:04 elong Status closed => feedback
2016-09-29 21:04 elong Resolution open => reopened
2016-09-29 21:04 elong Status feedback => new
2016-10-06 16:23 elong Status new => resolved
2016-10-06 16:23 elong Fixed in Version => 3.8.6
2016-10-06 16:23 elong Resolution reopened => fixed
2016-10-06 20:03 admin Status resolved => closed